routes/web.php
    Route::get('ciclos/getdataciclo/{ano}', 'CicloController@getDataCiclo')->name('ciclos.getdataciclo');

    Route::get('imunizacao', 'ImunizacaoController@index')->name('imunizacao.index');
    Route::get('imunizacao/imuno/{id}', 'ImunizacaoController@imuno')->name('imunizacao.imuno');
    Route::get('imunizacao/estabelecimentos/{idImuno?}/{ano?}', 'ImunizacaoController@estabelecimentos')->name('imunizacao.estabelecimentos');
    Route::get('imunizacao/estabelecimento/search/{id}', 'ImunizacaoController@estabelecimentoSearch')->name('imunizacao.estabelecimento.search');
    Route::get('imunizacao/estabelecimento/autocomplete/{id}', 'ImunizacaoController@estabelecimentoAutoComplete')->name('imunizacao.estabelecimento.autocomplete');
    Route::get('imunizacao/estabelecimento/{idImuno?}/{ano?}/{idEstabelecimento?}', 'ImunizacaoController@estabelecimento')->name('imunizacao.estabelecimento');

    foreach ($resources as $resource) {

        Route::get($resource['notificacao'].'/detalhamentos', $resource['controller'].'@detalhamento')->name($resource['notificacao'].'.detalhamentos');
        Route::get($resource['notificacao'].'/getdatabar', $resource['controller'].'@getDataBar')->name($resource['notificacao'].'.getdatabar');
        Route::get($resource['notificacao'].'/getdataline', $resource['controller'].'@getDataLine')->name($resource['notificacao'].'.getdataline');
        Route::get($resource['notificacao'].'/getdatalinebysem', $resource['controller'].'@getDataLineBySem')->name($resource['notificacao'].'.getdatalinebysem');
        Route::get($resource['notificacao'].'/getdataclassificacao', $resource['controller'].'@getDataClassificacao')->name($resource['notificacao'].'.getdataclassificacao');
        Route::get($resource['notificacao'].'/getdataevolucao', $resource['controller'].'@getDataEvolucao')->name($resource['notificacao'].'.getdataevolucao');
        Route::get($resource['notificacao'].'/getdataripsa', $resource['controller'].'@getDataRipsa')->name($resource['notificacao'].'.getdataripsa');
        Route::get($resource['notificacao'].'/getdatasexo', $resource['controller'].'@getDataSexo')->name($resource['notificacao'].'.getdatasexo');
        Route::get($resource['notificacao'].'/getdatabairro', $resource['controller'].'@getDataBairro')->name($resource['notificacao'].'.getdatabairro');
        Route::get($resource['notificacao'].'/getsemepdem', $resource['controller'].'@getSemEpdem')->name($resource['notificacao'].'.getsemepdem');
        Route::get($resource['notificacao'].'/getdatasemepdem', $resource['controller'].'@getDataSemEpdem')->name($resource['notificacao'].'.getdatasemepdem');
        Route::get($resource['notificacao'].'/heatmap/{tabela}', $resource['controller'].'@heatMap')->name($resource['notificacao'].'.heatmap');
        Route::get($resource['notificacao'].'/getdataheatmap/{tabela}', $resource['controller'].'@getDataHeatMap')->name($resource['notificacao'].'.getdataheatmap');
        Route::get($resource['notificacao'].'/clustersmaps', $resource['controller'].'@clustersMaps')->name($resource['notificacao'].'.clustersmaps');
        Route::get($resource['notificacao'].'/getgeocodes', $resource['controller'].'@getGeoCodes')->name($resource['notificacao'].'.getgeocodes');
        Route::resource('/'.$resource['notificacao'], $resource['controller']);
    }

    /*
    | Panel admin
    */
    Route::group(['namespace' => 'Painel', 'prefix' => 'painel', 'as' => 'painel.'], function() use ($resources){

        Route::get('/', 'HomeController@index')->name('home');

        Route::get('users', 'UsersController@index')->name('users');
        Route::post('users/getindex', 'UsersController@getIndex')->name('users.getindex');
        Route::post('users/destroy', 'UsersController@destroy')->name('users.destroy');
        

        foreach ($resources as $resource) {
            Route::get($resource['notificacao'], $resource['controller'].'@index')->name($resource['notificacao']);
            Route::post($resource['notificacao'].'/store', $resource['controller'].'@store')->name($resource['notificacao'].'.store');
            Route::post($resource['notificacao'].'/getindex', $resource['controller'].'@getIndex')->name($resource['notificacao'].'.getindex');
            Route::post($resource['notificacao'].'/storeColor', $resource['controller'].'@storeColor')->name($resource['notificacao'].'.storecolor');
        }

        Route::post('notificacao/getgps/{tabela}', 'NotificacaoController@getGps')->name('notificacao.getgps');
        Route::post('notificacao/getindex/{tabela}', 'NotificacaoController@getIndex')->name('notificacao.getindex');
        Route::get('notificacao/{tabela}', 'NotificacaoController@index')->name('notificacao.index');
        Route::get('notificacao/editgeocode/{tabela}/{agravo}', 'NotificacaoController@editGeocode')->name('notificacao.editgeocode');
        Route::match(['put', 'patch'],'notificacao/updategeocode/{tabela}', 'NotificacaoController@updateGeocode')->name('notificacao.updategeocode');
        Route::match(['put', 'patch'],'notificacao/updategeocodes/{tabela}', 'NotificacaoController@updateGeocodes')->name('notificacao.updategeocodes');
        Route::get('notificacao/editgeocodes/{tabela}', 'NotificacaoController@editGeocodes')->name('notificacao.editgeocodes');
        Route::get('notificacao/getdatageocodes/{tabela}', 'NotificacaoController@getDataGeocodes')->name('notificacao.getdatageocodes');

        Route::post('notificacao-obito/getgps/{tabela}', 'NotificacaoObitoController@getGps')->name('notificacao-obito.getgps');
        Route::post('notificacao-obito/getindex/{tabela}', 'NotificacaoObitoController@getIndex')->name('notificacao-obito.getindex');
        Route::get('notificacao-obito/{tabela}', 'NotificacaoObitoController@index')->name('notificacao-obito.index');
        Route::get('notificacao-obito/editgeocode/{tabela}/{agravo}', 'NotificacaoObitoController@editGeocode')->name('notificacao-obito.editgeocode');
        Route::match(['put', 'patch'],'notificacao-obito/updategeocode/{tabela}', 'NotificacaoObitoController@updateGeocode')->name('notificacao-obito.updategeocode');
        Route::match(['put', 'patch'],'notificacao-obito/updategeocodes/{tabela}', 'NotificacaoObitoController@updateGeocodes')->name('notificacao-obito.updategeocodes');
        Route::get('notificacao-obito/editgeocodes/{tabela}', 'NotificacaoObitoController@editGeocodes')->name('notificacao-obito.editgeocodes');
        Route::get('notificacao-obito/getdatageocodes/{tabela}', 'NotificacaoObitoController@getDataGeocodes')->name('notificacao-obito.getdatageocodes');

        Route::post('unidadesnotificadoras/getindex', 'UnidadeNotificadoraController@getIndex')->name('unidadesnotificadoras.getindex');
        Route::get('unidadesnotificadoras', 'UnidadeNotificadoraController@index')->name('unidadesnotificadoras');
        Route::post('unidadesnotificadoras/store', 'UnidadeNotificadoraController@store')->name('unidadesnotificadoras.store');

        Route::post('cids/getindex', 'CidController@getIndex')->name('cids.getindex');
        Route::get('cids', 'CidController@index')->name('cids');
        Route::post('cids/store', 'CidController@store')->name('cids.store');

        Route::post('bairros/getindex', 'BairroController@getIndex')->name('bairros.getindex');
        Route::get('bairros', 'BairroController@index')->name('bairros');
        Route::post('bairros/store', 'BairroController@store')->name('bairros.store');
        Route::get('bairros/map/{id}', 'BairroController@map')->name('bairros.map');
        Route::get('bairros/autocomplete', 'BairroController@autocomplete')->name('bairros.autocomplete');

        Route::post('regionais/getindex', 'RegionalController@getIndex')->name('regionais.getindex');
        Route::get('regionais', 'RegionalController@index')->name('regionais');
        Route::post('regionais/store', 'RegionalController@store')->name('regionais.store');
        Route::get('regionais/map/{id}', 'RegionalController@map')->name('regionais.map');

        Route::get('ciclos', 'CicloController@index')->name('ciclos');
        Route::post('ciclos/getindex', 'CicloController@getIndex')->name('ciclos.getindex');
        Route::post('ciclos/store', 'CicloController@store')->name('ciclos.store');
        Route::get('ciclos/bairros/{id}', 'CicloController@bairros')->name('ciclos.bairros');
        Route::post('ciclos/getindexbairros/{id}', 'CicloController@getIndexBairros')->name('ciclos.getindexbairros');
        Route::post('ciclos/storebairrociclo/{id}', 'CicloController@storeBairroCiclo')->name('ciclos.storebairrociclo');
        Route::delete('ciclos/bairro/destroy/{id}', 'CicloController@destroyBairros')->name('ciclos.bairro.destroy');

        Route::get('estabelecimentos-cnes', 'EstabelecimentoCnesController@index')
        ->name('estabelecimentos-cnes');
        Route::post('estabelecimentos-cnes/getindex', 'EstabelecimentoCnesController@getIndex')
        ->name('estabelecimentos-cnes.getindex');
        Route::post('estabelecimentos-cnes/store', 'EstabelecimentoCnesController@store')
        ->name('estabelecimentos-cnes.store');
        Route::get('estabelecimentos-cnes/editgeocodes', 'EstabelecimentoCnesController@editGeocodes')
        ->name('estabelecimentos-cnes.editgeocodes');
        Route::get('estabelecimentos-cnes/getdatageocodes', 'EstabelecimentoCnesController@getDataGeocodes')
        ->name('estabelecimentos-cnes.getdatageocodes');
        Route::match(['put', 'patch'],'notificacao-obito/updategeocodes', 'EstabelecimentoCnesController@updateGeocodes')
        ->name('estabelecimentos-cnes.updategeocodes');
        Route::get('estabelecimentos-cnes/editgeocode/{co_cnes}', 'EstabelecimentoCnesController@editGeocode')
        ->name('estabelecimentos-cnes.editgeocode');
        Route::match(['put', 'patch'],'notificacao-obito/updategeocode', 'EstabelecimentoCnesController@updateGeocode')

app/Http/Controllers/Painel/BairroController.php
<?php

namespace App\Http\Controllers\Painel;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\Storage;
use Yajra\DataTables\Facades\DataTables;
use App\Models\LoadData;
use App\Models\Bairro;
use App\Models\BairroGeocode;
use PHPUnit\Framework\Constraint\Exception;

class BairroController extends Controller
{
    public static $route = 'bairros';
    public static $tableName = 'bairros';

    public function index()
    {
        $cores = self::$cores;
        $options['titulo'] = "Bairros";
        $options['descricao'] = "Geocodes para renderização dos limite dos bairos";
        $options['store'] = route('painel.'.self::$route.'.store');
        $options['getindex'] = route('painel.'.self::$route.'.getindex');
        return view('painel.bairros', compact('cores', 'options'));
    }

    public function getIndex(Request $request)
    {
        $tabela = self::$tableName;
        $data = Bairro::toDataTables($request, $tabela);
        $data = Bairro::addColumn(
            $data,
            'view',
            function($item){
                $id = $item->id;
                return '<a class="btn btn-primary" href="'.route('painel.bairros.map', compact('id')).'" role="button">Ver no mapa <i class="far fa-eye"></i></a>';
            }
        );
        return $data;
    }

    public function store(Request $request)
    {
        $fileKml = $request->file('fileKml');
        $tableName = self::$tableName;

        // Define o valor default para a variável que contém o nome da imagem
        $nameFile = null;

        // Verifica se informou o arquivo e se é válido
        if ($request->hasFile('fileKml') && $request->file('fileKml')->isValid()) {

            // Define um aleatório para o arquivo baseado no timestamps atual
            $name = uniqid(date('HisYmd'));

            // Recupera a extensão do arquivo
            $extension = $fileKml->getClientOriginalExtension();

            // Define finalmente o nome
            $nameFile = "{$name}.{$extension}";

            // Faz o upload:
            $upload = $fileKml->storeAs('fileskml', $nameFile);
            // Se tiver funcionado o arquivo foi armazenado em storage/app/public/categories/nomedinamicoarquivo.extensao

            // Verifica se NÃO deu certo o upload (Redireciona de volta)
            if ( !$upload )
                return redirect()
                            ->back()
                            ->with('error', 'Falha ao fazer upload')
                            ->withInput();
        }

        try{
            $xmlBairros = simplexml_load_file(storage_path('app/'.$upload));
            $bairros = $xmlBairros->Document->Folder->children();

            foreach ($bairros->Placemark as $placemark) {
                $dataBairro = $placemark->ExtendedData->SchemaData->SimpleData;
                $coordinates = explode(" ", $placemark->MultiGeometry->Polygon->outerBoundaryIs->LinearRing->coordinates);

                $bairro = new Bairro;
                $bairro->name = $dataBairro[1];
                $bairro->description = $dataBairro[1];
                $bairro->gid = $dataBairro[0];
                $bairro->cod_bairro = $dataBairro[2];

                $bairro->save();

                foreach ($coordinates as $coordinate) {
                    $latLng = explode(",", $coordinate);
                    $bairroGeocode = new BairroGeocode;
                    $bairroGeocode->lat = $latLng[1];
                    $bairroGeocode->lng = $latLng[0];
                    $bairro->geocodes()->save($bairroGeocode);
                }
            }

        }catch(Exception $e){
            dd("Arquivo mau formatado");
        }
        return "ok;";
    }

  public function map($id)
  {
    $options['titulo'] = "Mapa view";
    $bairro = Bairro::find($id);
    $bairro->load('geocodes');

    return view('painel.bairro-map', compact('bairro', 'options'));
  }

  public function autocomplete(Request $request)
  {
    $q= trim($request->input('q'));
    $options = 'Any-Latin; NFKD; [:Punctuation:] Remove; [^\\u0000-\\u007E] Remove';
    $q = transliterator_transliterate($options, $q);
    $data = Bairro::select('id','name')->whereRaw("unaccent(name) ILIKE unaccent('%{$q}%')")->get();

    return response()->json($data);

  }
}

app/Http/Controllers/Painel/CidController.php
<?php

namespace App\Http\Controllers\Painel;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\Storage;
use Yajra\DataTables\Facades\DataTables;
use App\Models\LoadData;
use App\Models\Cid;


class CidController extends Controller
{
    public static $route = 'cids';
    public static $tableName = 'cids';

    public function index()
    {
        $cores = self::$cores;
        $options['titulo'] = "Codigo Internacional de Doencas";
        $options['descricao'] = "Lista De Codigo Internacional de Doencas";
        $options['store'] = route('painel.'.self::$route.'.store');
        $options['getindex'] = route('painel.'.self::$route.'.getindex');
        return view('painel.cids', compact('cores', 'options'));
    }

    public function getIndex(Request $request)
    {
        $tabela = 'cids';
        $data = Cid::toDataTables($request, $tabela);

        return $data;
    }

    public function store(Request $request)
    {
        $fileDbf = $request->file('fileDbf');
        $tableName = self::$tableName;

        // Define o valor default para a variável que contém o nome da imagem
        $nameFile = null;

        // Verifica se informou o arquivo e se é válido
        if ($request->hasFile('fileDbf') && $request->file('fileDbf')->isValid()) {

            // Define um aleatório para o arquivo baseado no timestamps atual
            $name = uniqid(date('HisYmd'));

            // Recupera a extensão do arquivo
            $extension = $fileDbf->getClientOriginalExtension();

            // Define finalmente o nome
            $nameFile = "{$name}.{$extension}";

            // Faz o upload:
            $upload = $fileDbf->storeAs('basedbf', $nameFile);
            // Se tiver funcionado o arquivo foi armazenado em storage/app/public/categories/nomedinamicoarquivo.extensao

            // Verifica se NÃO deu certo o upload (Redireciona de volta)
            if ( !$upload )
                return redirect()
                            ->back()
                            ->with('error', 'Falha ao fazer upload')
                            ->withInput();
        }
        //create table
        if(!Schema::hasTable($tableName)){

            if(Cid::createTable($tableName, $upload)){
                Cid::dbfLoad($tableName, $upload, false);
            }else {
                return "Não foi possivel criar tabela 02";
            }

        }else {
            if (Cid::dbfLoad($tableName, $upload, true)) {
                return "Reload dados concluida";
            } else {
                return "Não foi possivel recarregas os dados";
            }
        }
        Storage::delete($upload);

        //return $upload;
        return "ok;";
    }

}

app/Http/Controllers/Painel/HomeController.php
<?php

namespace App\Http\Controllers\Painel;


use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $options['titulo'] = "Agravos";
        return view('painel.home', compact('options'));
    }
}

resources/views/painel/estabelecimento-cnes-editgeocodes.blade.php
@extends('layouts.app')
  @section('css')
  <link href="{{ mix('/css/dataTables.bootstrap4.css') }}" rel="stylesheet" type="text/css">
  @endsection

  @section('content')

  <!-- Page Heading -->
<h1 class="h3 mb-2 text-gray-800">{{$options['titulo']}} </h1>
  <!-- DataTales Example -->
  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <div class="row">
        <div class="col-md-6 form-inline">
          <div class="form-group">
            <ul id="paginate">

            </ul>
          </div>
          <div class="form-group">
            <nav aria-label="Page navigation">
              <select id="per_page" name="per_page" aria-controls="dataTable" class="custom-select custom-select form-control form-control" style="margin-top: -15px">
                <option value="5">5</option>
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
              </select>
            </nav>
          </div>
        </div>

        <div class="col-md-6 form-inline">
          <div class="form-row">
            <form class="form-inline">
              @csrf

                <div class="col">
                  <input type="text" disabled class="form-control" name="ID_GEO1" id="lat">
                </div>
                <div class="col">
                  <input type="text" disabled class="form-control" name="ID_GEO2" id="lng">
                </div>

            </form>
            <div class="col">
              <a id="updadegeocodes" class="btn btn-primary active" role="button">Salvar</a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="card-body">
      <div id="map" style="height: 750px;">

      </div>
    </div>
  </div>


  @endsection
  @section('scripts')
    <script src="{{ mix('/js/bootstrap4-paginator.js') }}"></script>

    <!-- Page level plugins -->
    <script type="text/javascript">
    var xcsrftoken = $('meta[name="csrf-token"]').attr('content');
    var token = "{{csrf_token()}}";
    var get_data_geocodes = "{{route('painel.estabelecimentos-cnes.getdatageocodes')}}";
    var update_geocodes = "{{route('painel.estabelecimentos-cnes.updategeocodes')}}";
    var per_page = 5;
    var page = 1;
    var options = {currentPage: page, totalPages: 1};
    var markers = new Array();
    var infoWindows = new Array();
    var estabelecimentos = new Array();
    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': xcsrftoken
      }
    });

    </script>
    <script>
      function createInfoWindow(estabelecimento){

        var divContent = document.createElement('div');
        var divSiteNotice = document.createElement('div');
        var divBodyContent = document.createElement('div');
        var h4SiteNotice = document.createElement('h4');
        divContent.className = 'content';
        divSiteNotice.className = 'siteNotice';
        divBodyContent.className = 'divBodyContent';
        var titulo = document.createTextNode('Estabelecimento: '+ estabelecimento.no_fantasia);
        h4SiteNotice.appendChild(titulo);
        divSiteNotice.appendChild(h4SiteNotice);
        var endereco = document.createTextNode(
                    'Estabelecimento: '+ estabelecimento.no_fantasia + ' , ' +
                    'Endereço: '+ estabelecimento.no_logradouro + ' ' +
                    estabelecimento.nu_endereco + ' ' +
                    'Bairro: '+ estabelecimento.no_bairro + ' ' +
                    'Complemento: '+ estabelecimento.no_complemento
                    );
        divBodyContent.appendChild(endereco);
        divContent.appendChild(divSiteNotice);
        divContent.appendChild(divBodyContent);

        return divContent;
      }

      function changePerPage(){
        per_page = $("#per_page").val();
        url = get_data_geocodes+'?page='+page+'&'+'per_page='+per_page;
        getDataGeocodes(url);
      }

      function updatePaginator(data){
        $('#paginate').bootstrapPaginator({
          currentPage: data.current_page, 
          totalPages: data.last_page,
          onPageClicked: function(e,originalEvent,type,page){
            per_page = $("#per_page").val();
            url = get_data_geocodes+'?page='+page+'&'+'per_page='+per_page;
            getDataGeocodes(url);
          }
        });
      }

      function updateMarkers(data){
        estabelecimentos = data.data;
        for (let i = 0; i < markers.length; i++) {
            markers[i].setMap(null);

        }
        for (let i = 0; i < estabelecimentos.length; i++) {

          markers[i] = new google.maps.Marker({
          position: {lat: Number(estabelecimentos[i].nu_latitude), lng: Number(estabelecimentos[i].nu_longitude)},
          map: map,
          title: 'Estabelecimento: '+ estabelecimentos[i].no_fantasia,
          draggable: true
          });

          infoWindows[i] = new google.maps.InfoWindow({
          content: createInfoWindow(estabelecimentos[i]).outerHTML
          });
          markers[i].addListener('click', function() {
              infoWindows[i].open(map, markers[i]);
          });

          markers[i].addListener('dragend', function(){
            estabelecimentos[i].nu_latitude = markers[i].getPosition().lat();
            estabelecimentos[i].nu_longitude = markers[i].getPosition().lng();
            document.getElementById('lat').value = markers[i].getPosition().lat();
            document.getElementById('lng').value = markers[i].getPosition().lng();
            console.log(estabelecimentos[i]);
          });

      }

      }


      var map;
      function getDataGeocodes(url){
      $.ajax(
        {
          url: url,
          type: "get",
          datatype: "json"
        }).done(function(data){
            let d = JSON.parse(data);
            updatePaginator(d);
            updateMarkers(d);

        }).fail(function(jqXHR, ajaxOptions, thrownError){
            alert('sem reposta do servidor');
        });

      }

      function initMap() {
        map = new google.maps.Map(document.getElementById('map'), {
        zoom: 14,
        center: {lat: {{env('CENTER_MAP_LAT')}}, lng: {{env('CENTER_MAP_LNG')}}}
        });
      }

      $(document).ready(function() {
        per_page = $("#per_page").val();
        url = get_data_geocodes+'?page='+page+'&'+'per_page='+per_page;
        getDataGeocodes(url);
        $('#per_page').change(changePerPage);

        $('#updadegeocodes').click(function(event){
        event.preventDefault();

        $.ajax({
            method: 'put',
            url: update_geocodes,
            data: {_token: token, estabelecimentos: estabelecimentos},
            dataType: "json"
        }).done(function( msg ) {
            per_page = $("#per_page").val();
            url = get_data_geocodes+'?page='+page+'&'+'per_page='+per_page;
            getDataGeocodes(url);
        }).fail(function(jqXHR, ajaxOptions, thrownError){
            alert('sem reposta do servidor');
        });
      });



      });
    </script>
    <script async defer
    src="https://maps.googleapis.com/maps/api/js?key={{env('GOOGLE_MAPS_KEY')}}&callback=initMap">
    //google.maps.event.addDomListener(window, 'load', initialize);
    </script>
  @endsection

resources/views/painel/notificacao.blade.php
@extends('layouts.app')
  @section('css')
  <link href="{{ mix('/css/dataTables.bootstrap4.css') }}" rel="stylesheet" type="text/css">
  @endsection

  @section('content')

  <!-- Page Heading -->
<h1 class="h3 mb-2 text-gray-800">Tabelas de {{$tabela}} </h1>
  <!-- DataTales Example -->
  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <div class="row">
        <div class="col-md-6">
          <h6 class="m-0 font-weight-bold text-primary">
              Lista tabelas {{$tabela}} {{$porcentagem}}% geo-referenciadas
          </h6>
        </div>
        <div class="col-md-6 text-right">
        <a class="btn btn-primary" href="{{route('painel.notificacao.editgeocodes', ['tabela' => $tabela])}}" role="button">Ajustar pontos</a>
          <a class="ali btn btn-primary" id="checked-all" href="#" role="button">Marcar Todos</a>
          <a class="ali btn btn-primary button-gps" href="#" role="button">
            <span class="spinner-border spinner-border-sm d-none" role="status" aria-hidden="true"></span>
            <span class="fas fa-globe-americas" role="status" aria-hidden="true"></span>
          </a>
        </div>
      </div>
    </div>
    <div class="card-body">
      <div class="table-responsive">
        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
          <thead>
            <tr>
              <th>Notif</th>
              <th>Data</th>
              <th>Bairro</th>
              <th>Logradouro</th>
              <th>Complemento</th>
              <th>Referêcia</th>
              <th>Lat</th>
              <th>Lng</th>
              <th><i class="fas fa-globe-americas"></i></th>
              <th><i class="far fa-edit"></i></th>
            </tr>
          </thead>
          <tfoot>
            <tr>
                <th>Notif</th>
                <th>Data</th>
                <th>Bairro</th>
                <th>Logradouro</th>
                <th>Complemento</th>
                <th>Referêcia</th>
                <th>Lat</th>
                <th>Lng</th>
                <th><i class="fas fa-globe-americas"></i></th>
                <th><i class="far fa-edit"></i></th>
            </tr>
          </tfoot>
        </table>
      </div>
    </div>
  </div>


  @endsection
  @section('scripts')

    <!-- Page level plugins -->
    <script type="text/javascript">
    var xcsrftoken = $('meta[name="csrf-token"]').attr('content');
    var getindex = "{{ route('painel.notificacao.getindex' , compact('tabela'))}}";
    var getgps = "{{ route('painel.notificacao.getgps', compact('tabela'))}}"
    var mylanguage = "{{ asset('/js/Portuguese-Brasil.json') }}";
    var token = "{{csrf_token()}}";
    </script>
    <script src="{{ mix('/js/notificacoes.js') }}"></script>

  @endsection